skipjack.h File Reference

Classes for the SKIPJACK block cipher. More...

Go to the source code of this file.

## Classes

struct | SKIPJACK_Info
| SKIPJACK block cipher information. More...
class | SKIPJACK
| SKIPJACK block cipher. More...

## Typedefs

typedef SKIPJACK::Encryption | SKIPJACKEncryption
typedef SKIPJACK::Decryption | SKIPJACKDecryption

## Detailed Description

Classes for the SKIPJACK block cipher.

The Crypto++ implementation conforms to SKIPJACK and KEA Algorithm Specifications published by NIST in May 1998. The library passes known answer tests available in NIST SP800-17, Table 6, pp. 140-42.

See also
  SKIPJACK and KEA Algorithm Specifications (May 1998), SKIPJACK on the

Definition in file skipjack.h.

## Typedef Documentation

## SKIPJACKEncryption

typedef SKIPJACK::Encryption SKIPJACKEncryption

Definition at line 75 of file skipjack.h.

## SKIPJACKDecryption

typedef SKIPJACK::Decryption SKIPJACKDecryption

Definition at line 76 of file skipjack.h.